<!DOCTYPE html>
<html lang="en">
<head>
    <title>Mass Media Web-Resource</title>
</head>
<body>
<h1>Форма создания</h1>
<form action="{{ url_for('st0728.publish') }}" method="POST" class="form-contact">
    <input type="hidden" name="type" value="{{ type }}">

    <p><label>Заголовок: </label>
    <input type="text" required name="title" value="">

    <p><label>Содержание: </label>
    <textarea required name="text" rows=7 cols=40></textarea>

    {% if type == 'news' %}
      <p><label>Источник: </label>
      <input type="text" name="source" value="">

      <p><label>Дата публикации: </label>
      <input type="date" name="published_at" value="">
    {% endif %}

    {% if type == 'article' %}
      <p><label>Автор: </label>
      <input type="text" name="author" value="">
    {% endif %}

    {% if type == 'announcement' %}
      <p><label>Дата выхода: </label>
      <input type="date" name="out_date" value="">
    {% endif %}

    <p>
        <button type="submit">Опубликовать</button>
    </p>
</form>
<a href="{{ url_for('st0728.feed') }}">На главную</a>
</body>
</html>
